Bug 410463 - dirty presets isn't on by default.
Summary: dirty presets isn't on by default.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Brush engines (show other bugs)
Version: git master (please specify the git hash!)
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-31 17:34 UTC by wolthera
Modified: 2019-08-01 08:51 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wolthera 2019-07-31 17:34:14 UTC
SUMMARY
We discussed and agreed to have dirty presets toggled on by default for 4.x, but it seems this never got implemented properly, leading to confusion when the kritarc file is deleted.
Comment 1 Halla Rempt 2019-07-31 17:38:30 UTC
let's make this a bug, because we intend and want this to be the default, so if it isn't, it's wrong.
Comment 2 Halla Rempt 2019-08-01 08:49:16 UTC
Git commit 78560e3dc86ab67241fd397fc066b46dfd988fbf by Boudewijn Rempt.
Committed on 01/08/2019 at 08:48.
Pushed by rempt into branch 'master'.

Switch dirty presets to on by default

M  +14   -16   libs/ui/kis_config.cc
M  +1    -1    libs/ui/kis_config.h

https://invent.kde.org/kde/krita/commit/78560e3dc86ab67241fd397fc066b46dfd988fbf
Comment 3 Halla Rempt 2019-08-01 08:51:32 UTC
Git commit 455c34364008ede9f14961451ef5aff5c18a8119 by Boudewijn Rempt.
Committed on 01/08/2019 at 08:51.
Pushed by rempt into branch 'krita/4.2'.

Switch dirty presets to on by default

M  +14   -16   libs/ui/kis_config.cc
M  +1    -1    libs/ui/kis_config.h

https://invent.kde.org/kde/krita/commit/455c34364008ede9f14961451ef5aff5c18a8119